<div ng-controller="SemanaController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Semana</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE SEMANAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Semana">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <select class="form-control" ng-model="anio_id" ng-change="list(anio_id)" ng-options="anio.id as anio.anio for anio in anios">
                      <option value="">-- Año --</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)" ng-if="permisosHas('semana.aperturar')" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar semana</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{semanas.length}} SEMANAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="semanas.length > 0">
                    <div class="row">
                      <div class="card-container col-md-4" dir-paginate="semana in semanas |filter: buscar | itemsPerPage: 9" pagination-id="semana.id_semana">
                          <div class="card">
                            <div class="front bg-greensea">

                              <!-- row -->
                              <div class="row">
                                <!-- col -->
                                <div class="col-xs-4">
                                  <i class="fa fa-calendar fa-4x"></i>
                                </div>
                                <!-- /col -->
                                <!-- col -->
                                <div class="col-xs-8">
                                  <p class="text-strong mb-0">SEMANA {{semana.semana}}</p>
                                  <span>{{semana.total_contenedores}} Contenedores</span>
                                </div>
                                <!-- /col -->
                              </div>
                              <!-- /row -->

                            </div>
                            <div class="back bg-greensea">

                              <!-- row -->
                              <div class="row">
                                <!-- col -->
                                <div class="col-xs-4">
                                  <a href=javascript:; ng-if="permisosHas('semana.eliminar')" class="text-danger" ng-click="load(semana);openModalDelete($event)"><i class="fa fa-trash-o fa-2x"></i> Eliminar</a>
                                  <a ng-if="!permisosHas('semana.eliminar')" class="text-danger"><i class="fa fa-trash-o fa-2x"></i> Eliminar</a>
                                </div>
                                <!-- /col -->
                                <!-- col -->
                                <div class="col-xs-4">
                                  <a href='javascript:;' ng-if="!semana.isDownload" ng-click="export(semana)"><i class="fa fa-file-excel-o fa-2x"></i> Exportar datos</a>
                                  <a href='javascript:;' ng-if="semana.isDownload"><i class="fa fa-spinner fa-spin fa-2x"></i> exportando</a>
                                </div>
                                <!-- /col -->
                                <!-- col -->
                                <div class="col-xs-4">
                                  <a ui-sref="admin.semana.contenedor" ng-click="redirect(semana)"><i class="fa fa-arrow-right fa-2x"></i> Ir</a>
                                </div>
                                <!-- /col -->
                              </div>
                              <!-- /row -->

                            </div>
                          </div>
                      </div>
                    </div>  
                    <div class="pull-right">
                        <dir-pagination-controls pagination-id="semana.id_semana"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="semanas.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay semanas registradas...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="semana_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Semana"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <div class="form-group">
              <label for="id_anio">Año<span class="obligatorio">*</span></label>
              <select class="form-control" ng-model="obj.id_anio" name="id_anio" ng-options="an.id as an.anio for an in anios" required>
                <option value="">-- SELECCIONE AÑO --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <div class="form-group">
              <label for="nombre">Nombre<span class="obligatorio">*</span></label>
              <select class="form-control" ng-model="obj.nombre" name="nombre" ng-options="sem.id as sem.nombre for sem in semanasAnio" required>
                <option value="">-- SELECCIONE SEMANA --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <div class="form-group">
              <label for="id_cinta">Cinta<span class="obligatorio">*</span></label>
              <select class="form-control" ng-model="obj.id_cinta" name="id_cinta" ng-options="cinta.id as cinta.nombre for cinta in cintas" required>
                <option value="">-- SELECCIONE CINTA --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="form-group">
          <div class="row">
            <div class="col-md-8 col-md-offset-2">
              <span class="obligatorio">*</span> Campos Obligatorios
            </div>
          </div>
        </div> 
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="semana_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>